Advanced search

Message boards : News : Do not use BOINC 6.13.3 - 6.13.4 - 6.13.6

Author Message
Toni
Volunteer moderator
Project administrator
Project developer
Project scientist
Send message
Joined: 9 Dec 08
Posts: 591
Credit: 4,273,184
RAC: 0
Level
Ala
Scientific publications
watwatwatwat
Message 22194 - Posted: 30 Sep 2011 | 22:27:08 UTC
Last modified: 5 Oct 2011 | 12:19:06 UTC

These (unstable and withdrawn) version are silently causing WU corruption on upload and make other WUs fail.

We encourage you to use the stable versions of BOINC clients.

Thanks

Profile skgiven
Volunteer moderator
Project tester
Volunteer tester
Avatar
Send message
Joined: 23 Apr 09
Posts: 3968
Credit: 1,834,518,624
RAC: 292,156
Level
His
Scientific publications
watwatwatwatwatwatwatwatwatwatwatwatwatwatwatwatwatwatwatwatwat
Message 22196 - Posted: 1 Oct 2011 | 1:37:47 UTC - in response to Message 22194.
Last modified: 1 Oct 2011 | 9:29:02 UTC

I was using 6.13.1 for some time, testing, but I will move to 6.13.6 tomorrow.
A rollback wont work, a Full uninstall & reinstall would be needed.
6.13.3 and 6.13.4 are no longer listed.
6.13.x uses a new scheduler.

- I've now moved. Let me know if the problems continue.

Profile skgiven
Volunteer moderator
Project tester
Volunteer tester
Avatar
Send message
Joined: 23 Apr 09
Posts: 3968
Credit: 1,834,518,624
RAC: 292,156
Level
His
Scientific publications
watwatwatwatwatwatwatwatwatwatwatwatwatwatwatwatwatwatwatwatwat
Message 22206 - Posted: 3 Oct 2011 | 8:56:40 UTC - in response to Message 22196.
Last modified: 3 Oct 2011 | 13:43:42 UTC

This problem has just been seen in 6.13.3 and 6.13.4, so far. Anyone on 6.13.1, stick to that rather than upgrading for a while.
Suggest people also avoid 6.13.6, its nasty - I uninstalled and went back to 6.10.60.

Ingleside
Send message
Joined: 22 Sep 09
Posts: 3
Credit: 0
RAC: 0
Level

Scientific publications
wat
Message 22217 - Posted: 5 Oct 2011 | 16:25:43 UTC - in response to Message 22194.
Last modified: 5 Oct 2011 | 16:27:24 UTC

These (unstable and withdrawn) version are silently causing WU corruption on upload and make other WUs fail.

We encourage you to use the stable versions of BOINC clients.

Thanks

v6.13.6 is the current alpha-build, and is in active testing, albeit with many rough edges so if you're not a BOINC alpha-tester it's highly recommended to not run any of the v6.13.x-versions.

I've not heard of any problems with uploads with v6.13.6, except with some projects that have forgotten to re-configure their upload-server(s), as announced 01. August 2011, and repeated 10. September 2011:

"Upload certificates" are a mechanism that keeps bad guys
from DoS'ing your upload servers
(note: such an attack has never happened, as far as I know).

We're changing the format of upload certificates,
and we're starting to test a version of the client
for which old-format certificates won't work.
Volunteers testers won't be able to upload completed jobs,
and they may complain to you.

I suggest that all projects disable upload certificates.
To do so, add the following to your config.xml file:

<dont_generate_upload_certificates/>
<ignore_upload_certificates/>

To resume using upload certificates, if you wish:

1) upgrade to the current server source code (from trunk)
2) wait for all jobs with old-format certificates to be dispatched
3) re-enable certificates by removing the above lines.

Let me know if any questions.

-- David


So, have GPUGRID re-configured their servers as asked, but there's still corruption with uploads? If so, this is important to report, so whatever incompabilities can be fixed.

As long as GPUGRID doesn't have any Ati-application, I can't verify this myself...

Thyme
Send message
Joined: 25 May 09
Posts: 1
Credit: 122,709,075
RAC: 21,331
Level
Cys
Scientific publications
watwatwatwatwatwatwatwatwatwatwatwatwatwatwatwatwatwat
Message 22223 - Posted: 6 Oct 2011 | 12:49:07 UTC - in response to Message 22217.

I was also fighting GPUGrid workunit errors - especially for Linux based host 107285. A lot of errors was caused when running Boinc 6.12.34 - and only GPUGrid workunits errored and usually somewhere at the end of coputing task (may be it was errored when sending results - but I'm not shure about this). Other projects was running good on thist host.
In GPUGrid stderr out log i had 'process got signal 11' - whih was the only visible clue - and it was too little for me to define the source of a problem. But this thread gave me an idea to try to downgrade Boinc and see what will happen. And I did it 3 days ago. Now this host is running Boinc 6.10.58 - without any errors for all 3 days (it's 5 GPUGrid workunits - including 2 longruns).
It may be a coincidence that it's all working good for me now - but also may include some tips for people trying to fight this annoying errors ...
And collecting information I learned from this thread IMHO it looks like GPUGrid servers may need some attention ...

Profile skgiven
Volunteer moderator
Project tester
Volunteer tester
Avatar
Send message
Joined: 23 Apr 09
Posts: 3968
Credit: 1,834,518,624
RAC: 292,156
Level
His
Scientific publications
watwatwatwatwatwatwatwatwatwatwatwatwatwatwatwatwatwatwatwatwat
Message 22401 - Posted: 28 Oct 2011 | 12:00:15 UTC - in response to Message 22223.

Just a reminder to anyone still using Boinc versions 6.13.3 through to 6.13.6 - please move to a different client version.
____________
FAQ's

HOW TO:
- Opt out of Beta Tests
- Ask for Help

Richard Haselgrove
Send message
Joined: 11 Jul 09
Posts: 788
Credit: 1,422,060,845
RAC: 1,410,932
Level
Met
Scientific publications
watwatwatwatwatwatwatwatwatwatwatwatwatwatwatwatwatwatwat
Message 22403 - Posted: 28 Oct 2011 | 12:53:12 UTC - in response to Message 22401.

Just a reminder to anyone still using Boinc versions 6.13.3 through to 6.13.6 - please move to a different client version.

v6.13.10 is available now. Has that been tested OK - it'll have the same upload certificate problem as those earlier ones, or was the GPU grid problem specific and different?

Profile skgiven
Volunteer moderator
Project tester
Volunteer tester
Avatar
Send message
Joined: 23 Apr 09
Posts: 3968
Credit: 1,834,518,624
RAC: 292,156
Level
His
Scientific publications
watwatwatwatwatwatwatwatwatwatwatwatwatwatwatwatwatwatwatwatwat
Message 22404 - Posted: 28 Oct 2011 | 18:02:28 UTC - in response to Message 22403.

I'm guessing the issue is not limited to a certificate problem (if that was even a problem here); when the server changes were made the problem remained, and still does, hence the request for people to use a different client version.

The problem, as I understand it, is that tasks completed and returned using 6.13.3-6.13.4 (perhaps up to 6.13.6) interfere with the creation of new tasks, causing these new tasks to fail.

Due to this type of problem I'm not prepared to test the alpha clients; I cannot see if the tasks generated from my results will consequentially fail as a result of the client, so I cannot really test, and I certainly don't want to mess up the research.

There was no such problem with 6.13.1 (which I did use for some time), so perhaps it was limited to the deprecated clients (6.13.3-6). Therefore 6.13.10 might not be an issue, perhaps 6.13.8 too, but even if I or someone else did test 6.13.10 it would take Tony to trace through generations of tasks, again, sorting by client version, to determine if the problem is still present with 6.13.10, and if it was present it would definitely retard the research. So I don't think this project is suitable for Alpha testing Boinc clients, at least not by anyone other than the projects scientists.
____________
FAQ's

HOW TO:
- Opt out of Beta Tests
- Ask for Help

Toni
Volunteer moderator
Project administrator
Project developer
Project scientist
Send message
Joined: 9 Dec 08
Posts: 591
Credit: 4,273,184
RAC: 0
Level
Ala
Scientific publications
watwatwatwat
Message 22409 - Posted: 28 Oct 2011 | 22:51:44 UTC - in response to Message 22404.
Last modified: 28 Oct 2011 | 22:51:59 UTC

Is anybody aware of a BOINC configuration option to ban specific client versions?

Richard Haselgrove
Send message
Joined: 11 Jul 09
Posts: 788
Credit: 1,422,060,845
RAC: 1,410,932
Level
Met
Scientific publications
watwatwatwatwatwatwatwatwatwatwatwatwatwatwatwatwatwatwat
Message 22464 - Posted: 3 Nov 2011 | 14:58:13 UTC

There's a <min_core_client_version>, but no specific banning tool that I'm aware of.

They're talking of migrating the v6.13.xx alpha version into a beta v7.xx.yy for wider testing fairly soon, perhaps in around a month. From there - probably a long way from there - it'll become an official release. At some point, it would be good to work out exactly what the problem is, and fixing anything that remains, before unwanted clients start sprouting and joining the project without reading this thread.

Profile skgiven
Volunteer moderator
Project tester
Volunteer tester
Avatar
Send message
Joined: 23 Apr 09
Posts: 3968
Credit: 1,834,518,624
RAC: 292,156
Level
His
Scientific publications
watwatwatwatwatwatwatwatwatwatwatwatwatwatwatwatwatwatwatwatwat
Message 22469 - Posted: 4 Nov 2011 | 0:50:53 UTC - in response to Message 22464.
Last modified: 4 Nov 2011 | 1:08:45 UTC

Sounds like we could do with a server config option such one of the following,

    <max_core_client_version>
    <exclude_core_client_version>
    <use_deprecated _core_client_versions>0/1<use_deprecated _core_client_versions>


The problem(s) with these deprecated clients may well have been removed with subsequent versions, but I still think such tests should be performed in house by the GPUGrid scientists rather than the greater crunching community.
____________
FAQ's

HOW TO:
- Opt out of Beta Tests
- Ask for Help

Profile [SETI.USA]Tank_Master
Avatar
Send message
Joined: 8 Jul 07
Posts: 85
Credit: 67,463,387
RAC: 0
Level
Thr
Scientific publications
watwatwatwatwatwatwatwatwatwatwat
Message 22653 - Posted: 8 Dec 2011 | 4:06:15 UTC - in response to Message 22469.

does this include the 7.x versions as well? I recently rejoined this project hand have yet to get one WU to not error out. I am running on windows XP with the latest (as of yesterday) stable drivers for nvidia. (my card is a GeForce 295)

Profile skgiven
Volunteer moderator
Project tester
Volunteer tester
Avatar
Send message
Joined: 23 Apr 09
Posts: 3968
Credit: 1,834,518,624
RAC: 292,156
Level
His
Scientific publications
watwatwatwatwatwatwatwatwatwatwatwatwatwatwatwatwatwatwatwatwat
Message 22654 - Posted: 8 Dec 2011 | 10:35:45 UTC - in response to Message 22653.
Last modified: 8 Dec 2011 | 10:36:40 UTC

You have successfully completed 5 tasks, and had 3 failures.
Your errors are unrelated to the problems with the deprecated clients, which caused subsequent generations of tasks to fail.
____________
FAQ's

HOW TO:
- Opt out of Beta Tests
- Ask for Help

Post to thread

Message boards : News : Do not use BOINC 6.13.3 - 6.13.4 - 6.13.6